Name:		perl-Taint-Util
Version:	0.08
Release:	9%{?dist}
Summary:	Test for and flip the taint flag without regex matches or eval
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Taint-Util/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AV/AVAR/Taint-Util-%{version}.tar.gz
Patch0:		Taint-Util-0.08-utf8.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
# ============= Module Build ====================
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Pod::Man) >= 2.26
BuildRequires:	perl(warnings)
# ============= Module Runtime ==================
BuildRequires:	perl(strict)
BuildRequires:	perl(XSLoader)
# ============= Test Suite ======================
BuildRequires:	perl(Test::More)
# ============= Module Runtime ==================
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
Wraps perl's internal routines for checking and setting the taint flag and
thus does not rely on regular expressions for untainting or odd tricks
involving eval and kill for checking whether data is tainted; instead, it
checks and flips a flag on the scalar in-place.

%prep
%setup -q -n Taint-Util-%{version}

# Re-code README as UTF-8
%patch0

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc ChangeLog LICENSE README
%{perl_vendorarch}/auto/Taint/
%{perl_vendorarch}/Taint/
%{_mandir}/man3/Taint::Util.3pm*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.08-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.08-7
- Perl 5.22 rebuild

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.08-6
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 20 2013 Paul Howarth <paul@city-fan.org> - 0.08-3
- BR: perl(Pod::Man) ≥ 2.26 to get manpage rendered properly (#998447)

* Mon Aug 19 2013 Paul Howarth <paul@city-fan.org> - 0.08-2
- Sanitize for Fedora submission

* Fri Aug 16 2013 Paul Howarth <paul@city-fan.org> - 0.08-1
- Initial RPM version
